#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=django_rich

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_test:
	# Upstream uses a more agressive call, wont work here
	# as at least the package we build isn't installed so
	# using a modified pytest call.
	dh_auto_test -- --system=custom --test-args="{interpreter} -m coverage run -m pytest tests"
